PipeWire: impl-core.c File Reference

PipeWire 0.3.6

Data Structures | Macros | Functions
impl-core.c File Reference
Include dependency graph for impl-core.c:

## Data Structures
struct | resource_data

## Macros
#define | NAME "impl-core"

## Functions
SPA_EXPORT struct pw_impl_core * | pw_context_create_core (struct pw_context *context, struct pw_properties *properties, size_t user_data_size)
SPA_EXPORT struct pw_impl_core * | pw_context_get_default_core (struct pw_context *context)
SPA_EXPORT void | pw_impl_core_destroy (struct pw_impl_core *core)
SPA_EXPORT const struct pw_properties * | pw_impl_core_get_properties (struct pw_impl_core *core)
| Get the core properties. More...
SPA_EXPORT int | pw_impl_core_update_properties (struct pw_impl_core *core, const struct spa_dict *dict)
| Update the core properties. More...
SPA_EXPORT int | pw_impl_core_register (struct pw_impl_core *core, struct pw_properties *properties)
SPA_EXPORT void * | pw_impl_core_get_user_data (struct pw_impl_core *core)
SPA_EXPORT struct pw_global * | pw_impl_core_get_global (struct pw_impl_core *core)
| Get the global of this core. More...
SPA_EXPORT void | pw_impl_core_add_listener (struct pw_impl_core *core, struct spa_hook *listener, const struct pw_impl_core_events *events, void *data)
| Add an event listener. More...

## Macro Definition Documentation

## ◆ NAME

#define NAME "impl-core"

## Function Documentation

## ◆ pw_context_create_core()

SPA_EXPORT struct pw_impl_core* pw_context_create_core | ( | struct pw_context * | context,
|  | struct pw_properties * | properties,
|  | size_t | user_data_size
| ) |  |

References NAME, pw_pipewire::pw_get_host_name(), pw_get_library_version(), pw_pipewire::pw_get_user_name(), PW_KEY_CORE_NAME, pw_log::pw_log_debug, pw_properties::pw_properties_free(), pw_properties::pw_properties_get(), pw_properties::pw_properties_new(), pw_properties::pw_properties_setf(), and res.

## ◆ pw_context_get_default_core()

SPA_EXPORT struct pw_impl_core* pw_context_get_default_core | ( | struct pw_context * | context | ) |

## ◆ pw_impl_core_add_listener()

SPA_EXPORT void pw_impl_core_add_listener | ( | struct pw_impl_core * | core,
|  | struct spa_hook * | listener,
|  | const struct pw_impl_core_events * | events,
|  | void * | data
| ) |  |

Add an event listener.

## ◆ pw_impl_core_destroy()

SPA_EXPORT void pw_impl_core_destroy | ( | struct pw_impl_core * | core | ) |

References NAME, pw_global::pw_global_destroy(), pw_log::pw_log_debug, and pw_properties::pw_properties_free().

## ◆ pw_impl_core_get_global()

SPA_EXPORT struct pw_global* pw_impl_core_get_global | ( | struct pw_impl_core * | core | ) |

Get the global of this core.

## ◆ pw_impl_core_get_properties()

SPA_EXPORT const struct pw_properties* pw_impl_core_get_properties | ( | struct pw_impl_core * | core | ) |

Get the core properties.

## ◆ pw_impl_core_get_user_data()

SPA_EXPORT void* pw_impl_core_get_user_data | ( | struct pw_impl_core * | core | ) |

## ◆ pw_impl_core_register()

SPA_EXPORT int pw_impl_core_register | ( | struct pw_impl_core * | core,
|  | struct pw_properties * | properties
| ) |  |

References pw_global::pw_global_new(), PW_KEY_CORE_NAME, PW_KEY_CORE_VERSION, PW_KEY_HOST_NAME, PW_KEY_USER_NAME, pw_properties::pw_properties_new(), pw_properties::pw_properties_update_keys(), PW_TYPE_INTERFACE_Core, PW_VERSION_CORE, and res.

## ◆ pw_impl_core_update_properties()

SPA_EXPORT int pw_impl_core_update_properties | ( | struct pw_impl_core * | core,
|  | const struct spa_dict * | dict
| ) |  |

Update the core properties.

References NAME, PW_CORE_CHANGE_MASK_PROPS, pw_log::pw_log_debug, and pw_properties::pw_properties_update().